# Q. What is this file?
# A. This file contains options which allow you to configure your multiworld experience while allowing
#    others to play how they want as well.
#
# Q. How do I use it?
# A. The options in this file are weighted. This means the higher number you assign to a value, the
#    more chances you have for that option to be chosen. For example, an option like this:
#
#    map_shuffle:
#      on: 5
#      off: 15
#
#    Means you have 5 chances for map shuffle to occur, and 15 chances for map shuffle to be turned
#    off.
#
# Q. I've never seen a file like this before. What characters am I allowed to use?
# A. This is a .yaml file. You are allowed to use most characters.
#    To test if your yaml is valid or not, you can use this website:
#        http://www.yamllint.com/
#    You can also verify that your Archipelago options are valid at this site:
#        https://archipelago.gg/check

# Your name in-game, limited to 16 characters.
#     {player} will be replaced with the player's slot number.
#     {PLAYER} will be replaced with the player's slot number, if that slot number is greater than 1.
#     {number} will be replaced with the counter value of the name.
#     {NUMBER} will be replaced with the counter value of the name, if the counter value is greater than 1.
name: Player{number}

# Used to describe your yaml. Useful if you have multiple files.
description: Default Yu-Gi-Oh! 2006 Template

game: Yu-Gi-Oh! 2006
requires:
  version: 0.6.6 # Version of Archipelago required for this yaml to work as expected.

Yu-Gi-Oh! 2006:
  ################
  # Game Options #
  ################
  progression_balancing:
    # A system that can move progression earlier, to try and prevent the player from getting stuck and bored early.
    # 
    # A lower setting means more getting stuck. A higher setting means less getting stuck.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 99
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-99: 0 # random value between 0 and 99
    disabled: 0 # equivalent to 0
    normal: 50 # equivalent to 50
    extreme: 0 # equivalent to 99

  accessibility:
    # Set rules for reachability of your items/locations.
    # 
    # **Full:** ensure everything can be reached and acquired.
    # 
    # **Minimal:** ensure what is needed to reach your goal can be acquired.
    full: 50
    minimal: 0

  structure_deck:
    # Which Structure Deck you start with
    dragons_roar: 0
    zombie_madness: 0
    blazing_destruction: 0
    fury_from_the_deep: 0
    warriors_triumph: 0
    spellcasters_judgement: 0
    none: 0
    random_deck: 50

  banlist:
    # Which Banlist you start with
    no_banlist: 0
    september_2003: 0
    march_2004: 0
    september_2004: 0
    march_2005: 0
    september_2005: 50

  final_campaign_boss_unlock_condition:
    # How to unlock the final campaign boss and goal for the world
    campaign_opponents: 50
    challenges: 0

  fourth_tier_5_campaign_boss_unlock_condition:
    # How to unlock the fourth campaign boss
    campaign_opponents: 50
    challenges: 0

  third_tier_5_campaign_boss_unlock_condition:
    # How to unlock the third campaign boss
    campaign_opponents: 50
    challenges: 0

  final_campaign_boss_challenges:
    # Number of Limited/Theme Duels completed for the Final Campaign Boss to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 91
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-91: 0 # random value between 0 and 91

  fourth_tier_5_campaign_boss_challenges:
    # Number of Limited/Theme Duels completed for the Fourth Level 5 Campaign Opponent to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 91
    5: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-91: 0 # random value between 0 and 91

  third_tier_5_campaign_boss_challenges:
    # Number of Limited/Theme Duels completed for the Third Level 5 Campaign Opponent to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 91
    2: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-91: 0 # random value between 0 and 91

  final_campaign_boss_campaign_opponents:
    # Number of Campaign Opponents Duels defeated for the Final Campaign Boss to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 24
    12: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-24: 0 # random value between 0 and 24

  fourth_tier_5_campaign_boss_campaign_opponents:
    # Number of Campaign Opponents Duels defeated for the Fourth Level 5 Campaign Opponent to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 23
    7: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-23: 0 # random value between 0 and 23

  third_tier_5_campaign_boss_campaign_opponents:
    # Number of Campaign Opponents Duels defeated for the Third Level 5 Campaign Opponent to appear
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 22
    3: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-22: 0 # random value between 0 and 22

  number_of_challenges:
    # Number of random Limited/Theme Duels that are included. The rest will be inaccessible.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 91
    10: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-91: 0 # random value between 0 and 91

  starting_money:
    # The amount of money you start with
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 0
    # Maximum value is 100000
    3000: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-0-100000: 0 # random value between 0 and 100000

  money_reward_multiplier:
    # By which amount the campaign reward money is multiplied
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 255
    20: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-255: 0 # random value between 1 and 255

  normalize_boosters_packs:
    # If enabled every booster pack costs the same otherwise vanilla cost is used
    'false': 0
    'true': 50

  booster_pack_prices:
    # Only Works if normalize booster packs is enabled.
    # Sets the amount that what every booster pack costs.
    #
    # You can define additional values between the minimum and maximum values.
    # Minimum value is 1
    # Maximum value is 3000
    100: 50
    random: 0
    random-low: 0 # random value weighted towards lower values
    random-high: 0 # random value weighted towards higher values
    random-range-1-3000: 0 # random value between 1 and 3000

  add_empty_banlist:
    # Adds a Ban List where everything is at 3 to the item pool
    'false': 50
    'true': 0

  campaign_opponents_shuffle:
    # Replaces the campaign with random opponents from the entire game
    'false': 50
    'true': 0

  ocg_arts:
    # Always use the OCG artworks for cards
    'false': 50
    'true': 0

  ###########################
  # Item & Location Options #
  ###########################
  local_items:
    # Forces these items to be in their native world.
    []

  non_local_items:
    # Forces these items to be outside their native world.
    []

  start_inventory:
    # Start with the specified amount of these items. Example: "Bomb: 1"
    {}

  start_hints:
    # Start with these item's locations prefilled into the ``!hint`` command.
    []

  start_location_hints:
    # Start with these locations and their item prefilled into the ``!hint`` command.
    []

  exclude_locations:
    # Prevent these locations from having an important item.
    []

  priority_locations:
    # Prevent these locations from having an unimportant item.
    []

  item_links:
    # Share part of your item pool with other players.
    []

  plando_items:
    # Generic items plando.
    []
